Subject: [bug#70146] Upstreaming wasmtime

From: Olivier Rojon <[email-masked]>
Date: Sun, 02 Mar 2025 18:12:57 +0000

Jean-Pierre De Jesus Diaz <[email-masked]> writes:

Hello everyone,

quite some time has passed since this issue has last seen activity.  In my quest to clean
up the ever-filling issue-tracker, I'd like to know if there might be a status update
regarding the quest to update tree-sitter (and related packages), tree-sitter currently sitting at 0.20.10.

Just as a heads-up, there is another, much more focussed patch trying to update
tree-sitter to 0.24.3, albeit with apparent problems resulting in its waiting state.  I am
talking about bug#74148.

Unfortunately, I cannot offer any assistance simply because I am not at all acquainted
with the tree-sitter infrastructure.

Have a good day,
Olivier :)

>>One way could probably be to share a git repository for the time being,
>>with the shared code, so we can both upstream the relevant packages. I
>>would probably base it on yours, as you have done more manual work in
>>the way of adding descriptions and removed the ittapi.
>
> I've made this branch:
>
> https://github.com/Foundation-Devices/guix-mirror/tree/wip/tree-sitter
>
> It currently contains all of the patches in the patch series including
> the tree-sitter ones.
>
> I'll probably end up making another branch to rebase on the rust-team
> branch as that can
> potentially reduce the number of patches needed as some I did are
> already there I think.
>
> On Fri, Apr 5, 2024 at 1:36 PM Maya <[email-masked]> wrote:
>>
>> On 2024-04-05 10:03, Jean-Pierre De Jesus Diaz wrote:
>>
>> > Sure, would like to, just not sure how to do it, I think it'd be
>> > preferable to ask
>> > comitters to merge yours first so that I can rebase and `inherit' from your
>> > packages and not do it the other way around since it'd require more diff
>> > lines.
>>
>> One way could probably be to share a git repository for the time being,
>> with the shared code, so we can both upstream the relevant packages. I
>> would probably base it on yours, as you have done more manual work in
>> the way of adding descriptions and removed the ittapi.
>>
>> But it is your call. I also cannot send more than 20 emails a day, due
>> to my provider's limits, so 120 commits are not very manageable for me
>> to send as a patch series.
>>
>> > I don't think I'll provide a wasmtime-cli for version 18 but the other crates
>> > I'll do, unless you need it and I can then add those.
>>
>> I think the most packages are pretty much the same. Maybe some patch
>> versions are bumped, which will need to bump them as well.
>>
>> The second option on the course of actions is to just upstream
>> wasmtime-cli-18 after your patch series is merged, and bump the
>> necessary packages later. I don't want to burden you, I just want to
>> find a way for upstreaming both our work into guix.
>>
>> As I would appreciate having wasmtime available in guix, but it can
>> wait. It was mostly an afternoon project of packaging and merging
>> changes and then I found your patch.